Subject: Re: [PATCH] rtlwifi: rtl8192cu: Fix duplicate if test

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 18 Jun 2013 22:24:27 +0400

Hello.

On 06/18/2013 10:18 PM, Larry Finger wrote:

> A typo causes routine rtl92cu_phy_rf6052_set_cck_txpower() to test the
> same condition twice. The problem was found using cppcheck-1.49, and the
> proper fix was verified against the pre-mac80211 version of the code.

> This patch was originally included as commit 1288aa4, but was accidentally

    You probably forgot to specify the summary line of that commit.

> reverted in a later patch.

> Reported-by: David Binderman <[email-masked]> [original report]
> Reported-by: Andrea Morello <[email-masked]> [report of accidental reversion]
> Signed-off-by: Larry Finger <[email-masked]>
> Cc: stable <[email-masked]>  [back to 2.6.39]

WBR, Sergei